#include <bits/stdc++.h>

using namespace std;
int main()
{
    vector< vector<int> > v;
    int n, k; cin >> n >> k;
    string s; cin >> s;
    v.resize(n);
    for(int i = 0; i < n; i++){
        v[i].resize(k);
    }
    for(int i = 0; i < n; i++){
        if(i > 0) v[i] = v[i-1];
        v[i][s[i]-'a']++;
        int cnt = 0;
        for(int j = 1; j < v[i].size(); j++){
            if(v[i][j]>0) cnt++;
        }
        cout << cnt+1 << " ";
    }
    return 0;
}